﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OOP_03
{

    class Car
    {
        public string brand;
        public string model;
        public int year;

        public static int counter = 0;

        public Car(string brand, string model, int year)
        {
            this.brand = brand;
            this.model = model;
            this.year = year;
            counter++;
        }

        public Car(string brand, string model)
        {
            this.brand = brand;
            this.model = model;
            this.year = 2022;
            counter++;
        }

        public Car(string brand)
        {
            this.brand = brand;
            this.model = "Unknown";
            this.year = 2022;
            counter++;
        }

        public void PrintCarInfo()
        {
            Console.WriteLine($"Brand : {brand}");
            Console.WriteLine($"Model : {model}");
            Console.WriteLine($"Year : {year}");
            Console.WriteLine("-----------------------------");

        }

    }
    internal class Program
    {
        static void Main(string[] args)
        {
            Car car01 = new Car("Toyota", "Vios", 2024);
            Car car02 = new Car("Kia", "Rio");
            Car car03 = new Car("BMW");

            car01.PrintCarInfo();
            car02.PrintCarInfo();
            car03.PrintCarInfo();

            Console.WriteLine($"Total cars created = {Car.counter}");

        }
    }
}
