﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OOP_04
{

    class Car
    {
        string brand;
        string model;
        int year;

        public static int counter = 0;

        public string Brand
        {
            get { return brand; }
            set { brand = value; }
        }


        public string Model

        {
            get { return model; }
            set { model = value; }
        }

        public int Year
        { 
            get { return year; } 
            set 
            {
                if(value >= 1886)
                    year = value;
                else
                    Console.WriteLine("Year must be >= 1886");
            } 
        }

        public Car (string brand , string model , int year)
        {
            Brand = brand;
            Model = model;
            Year = year;
            counter++;
        }

        public Car (string brand , string model)
        {
            Brand = brand;
            Model = model;
            Year = 2021;
            counter++;
        }

        public Car (string brand)
        {
            Brand = brand;
            Model = "Unknown";
            Year = 2021;
            counter++;
        }

        public Car()
        {
            Brand = "Unknown";
            Model = "Unknown";
            Year = 2021;
            counter++;
        }

        public void PrintCarInfo()
        {
            Console.WriteLine($"Brand : {brand}");
            Console.WriteLine($"Model : {model}");
            Console.WriteLine($"Year : {year}");
            Console.WriteLine("-----------------------------");
        }


    }
      internal class Program
      {
        static void Main(string[] args)
        {

            Car car01 = new Car("Toyota","Corolla",2023);
            Car car02 = new Car("Ford", "Focus");
            Car car03 = new Car();
            Car car04 = new Car("Nissan","Leaf",1700);

            car01.PrintCarInfo();
            car02.PrintCarInfo();
            car03.PrintCarInfo();
            car04.PrintCarInfo();

            Console.WriteLine($"Total cars created = {Car.counter}");


        }

      }
}
